Jump to content

Archived

This topic is now archived and is closed to further replies.

Sandy_Bridge

Will these addons work?

Recommended Posts

Hello,

 

I want to buy a laptop to run FSX addons on, but all new ones have Windows 8. Can anybody tell me if the following addons are compatible:

 

ActiveSky 2012

AivlaSoft EFB

TOPCAT

PFPX

 

Thanks in advance.

Share this post


Link to post
Share on other sites

×
×
  • Create New...